Index: trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.uicalendar.inc.php	(revision 4844)
+++ trunk/calendar/inc/class.uicalendar.inc.php	(revision 5132)
@@ -5725,4 +5003,37 @@
 		function edit_form($param)
 		{
+                        $sHValue = '<option></option>
+                                    <option value="07:00">07:00</option>
+                                    <option value="07:30">07:30</option>
+                                    <option value="08:00">08:00</option>
+                                    <option value="08:30">08:30</option>
+                                    <option value="09:00">09:00</option>
+                                    <option value="09:30">09:30</option>
+                                    <option value="10:00">10:00</option>
+                                    <option value="10:30">10:30</option>
+                                    <option value="11:00">11:00</option>
+                                    <option value="11:30">11:30</option>
+                                    <option value="12:00">12:00</option>
+                                    <option value="12:30">12:30</option>
+                                    <option value="13:00">13:00</option>
+                                    <option value="13:30">13:30</option>
+                                    <option value="14:00">14:00</option>
+                                    <option value="14:30">14:30</option>
+                                    <option value="15:00">15:00</option>
+                                    <option value="15:30">15:30</option>
+                                    <option value="16:00">16:00</option>
+                                    <option value="16:30">16:30</option>
+                                    <option value="17:00">17:00</option>
+                                    <option value="17:30">17:30</option>
+                                    <option value="18:00">18:00</option>
+                                    <option value="18:30">18:30</option>
+                                    <option value="19:00">19:00</option>
+                                    <option value="19:30">19:30</option>
+                                    <option value="20:00">20:00</option>
+                                    <option value="20:30">20:30</option>
+                                    <option value="21:00">21:00</option>
+                                    <option value="21:30">21:30</option>
+                                    <option value="22:00">22:00</option>';
+                    
 			if(!is_array($param))
 			{
@@ -5735,6 +5046,15 @@
 			}
 			
+			include_once($_SESSION['rootPath'].'/calendar/inc/class.ex_participants.inc.php');
+                        $langp = array();
+                        $langp['ACCEPTED'] = lang('Accepted');
+                        $langp['DECLINED'] = lang('Declined');
+                        $langp['TENTATIVE'] = lang('Tentative');
+                        $langp['DELEGATED'] = lang('Delegated');
+                        $langp['NO ANSWER'] = lang('No answer');
+                        $exParticipants = new exParticipants($langp);
+                        $exParticipants->setParticipantsBySerializable($event['ex_participants']);
+                        $event['ex_participants'] = $exParticipants->getParticipantsMailsString();
 			$hourformat = substr($this->bo->users_timeformat,0,1);
-			
 			// $sb = CreateObject('phpgwapi.sbox');
 			$sb = CreateObject('phpgwapi.sbox2');
@@ -5764,5 +5084,5 @@
 			$p->set_block('edit','list','list');
 			$p->set_block('edit','hr','hr');
-			
+			$p->set_var('lang_set_participants', lang('set the participants'));
 			$vars = Array(
 				'font'			=> $this->theme['font'],
@@ -5771,4 +5091,5 @@
 				'accounts_link'		=> $GLOBALS['phpgw']->link('/index.php','menuaction=calendar.uicalendar.accounts_popup'),
 				'common_hidden'	=> '<input type="hidden" name="cal[id]" value="'.$event['id'].'">'."\n"
+                                        . '<input type="hidden" name="cal[date]" value="'.$param['date'].'">'."\n"
 					. '<input type="hidden" name="cal[owner]" value="'.$event['owner'].'">'."\n"
 					. '<input type="hidden" name="cal[uid]" value="'.$event['uid'].'">'."\n"
@@ -5786,5 +5107,5 @@
 				'tr_color' => $this->theme['th_bg'],
 				'field'	=> lang('Title'),
-				'data'	=> '<input name="cal[title]" size="103" maxlength="300" value="'.$event['title'].'">'
+				'data'	=> '<input name="cal[title]" size="45" maxlength="80" value="'.$event['title'].'">'
 			);
 
@@ -5792,5 +5113,5 @@
 			$var['description'] = Array(
 				'field'	=> lang('Full Description'),
-				'data'	=> '<textarea name="cal[description]" rows="5" cols="88" wrap="virtual" maxlength="2048">'.$event['description'].'</textarea>'
+				'data'	=> '<textarea name="cal[description]" rows="5" cols="40" wrap="virtual" maxlength="2048">'.$event['description'].'</textarea>'
 			);
 
@@ -5847,5 +5168,5 @@
 			$var['starttime'] = Array(
 				'field'	=> lang('Start Time'),
-				'data'	=> '<input name="start[hour]" id="start_hour" size="2" VALUE="'.$GLOBALS['phpgw']->common->show_date($start,$hourformat).'" maxlength="2">:<input name="start[min]" id="start_minute" size="2" value="'.$GLOBALS['phpgw']->common->show_date($start,'i').'" maxlength="2">'."\n".$str
+				'data'	=> '<input name="start[hour]" id="start_hour" size="2" VALUE="'.$GLOBALS['phpgw']->common->show_date($start,$hourformat).'" maxlength="2">:<input name="start[min]" id="start_minute" size="2" value="'.$GLOBALS['phpgw']->common->show_date($start,'i').'" maxlength="2">&nbsp;<select name="sStartHour" onchange="javascript:sChangeHour(this);">'.$sHValue.'</select>'."\n".$str	
 			);
 
@@ -5872,5 +5193,5 @@
 			$var['endtime'] = Array(
 				'field'	=> lang('End Time'),
-				'data'	=> '<input name="end[hour]" id="end_hour" size="2" VALUE="'.$GLOBALS['phpgw']->common->show_date($end,$hourformat).'" maxlength="2">:<input name="end[min]" id="end_minute" size="2" value="'.$GLOBALS['phpgw']->common->show_date($end,'i').'" maxlength="2">'."\n".$str
+				'data'	=> '<input name="end[hour]" id="end_hour" size="2" VALUE="'.$GLOBALS['phpgw']->common->show_date($end,$hourformat).'" maxlength="2">:<input name="end[min]" id="end_minute" size="2" value="'.$GLOBALS['phpgw']->common->show_date($end,'i').'" maxlength="2">&nbsp;<select name="sEndHour" onchange="javascript:sChangeHour(this);">'.$sHValue.'</select>'."\n".$str
 			);
 
@@ -5884,5 +5205,5 @@
 			$var['access'] = Array(
 			'field' => lang('Type'),
-			'data'  => '<select onchange="javascript:changeViewMode(this.value);" id="cal[type]" name="cal[type]" '.'><option value="normal" '.(($event['public'] && $event['type'] == 'E')?'SELECTED':'').' >'.lang('Normal').'</option><option value="private" '.((!$event['public'] && $event['type'] == 'E')?'SELECTED':'').' >'. lang('Restrict').'</option><option value="privateHiddenFields" '.($event['type']=='P'?'SELECTED':'').' >'. lang('Private').'</option><option value="hourAppointment" '.($event['type'] == 'H'?'SELECTED':'').' >'.lang('Hours Appointment').'</option></select>'
+			'data'  => '<select onchange="javascript:changeViewMode(this.value);" id="cal[type]" name="cal[type]" '.($event['type'] == 'H'?'DISABLED':'').'><option value="normal" '.(($event['public'] && $event['type'] == 'E')?'SELECTED':'').' >'.lang('Normal').'</option><option value="private" '.((!$event['public'] && $event['type'] == 'E')?'SELECTED':'').' >'. lang('Restrict').'</option><option value="privateHiddenFields" '.($event['type']=='P'?'SELECTED':'').' >'. lang('Private').'</option><option value="hourAppointment" '.($event['type'] == 'H'?'SELECTED':'').' >'.lang('Hours Appointment').'</option></select>'
 			); //event['public']
 
@@ -5898,5 +5219,5 @@
 							{
 								$str .= '<option value="' . $id.$event['participants'][$id] . '"'.($event['participants'][$id]?' selected':'').'>('.$GLOBALS['phpgw']->accounts->get_type($id)
-										.') ' . $GLOBALS['phpgw']->common->grab_owner_name($id) . '</option>' . "\n";
+										.') ' . $GLOBALS['phpgw']->common->grab_owner_name($id) . ' ('. $id.')</option>' . "\n";
 							}
 						}
@@ -5959,5 +5280,4 @@
 										</tr>
 										</table>
-										<script src='calendar/js/edit.js' type='text/javascript'></script>
 									"
 						);
@@ -5992,7 +5312,11 @@
 
 								if ($GLOBALS['phpgw_info']['server']['cal_type_tree_participants'] == '3'){
+									$context = preg_replace("/\\\([0-9A-Fa-f]{2})/e", "''.chr(hexdec('\\1')).''",$context);
+									$context = utf8_decode($context);
 									$combo_org = '<option value='.$context.'>'.strtoupper($context).'</option>';
 								}else{
 									$combo_org = $this->get_organizations(trim(strtolower($context)),$user_context, $recursive);
+									$combo_org = preg_replace("/\\\([0-9A-Fa-f]{2})/e", "''.chr(hexdec('\\1')).''",$combo_org);
+									$combo_org = utf8_decode($combo_org);
 								}
 
@@ -6007,23 +5331,28 @@
 								}
 
-								$edit_js_path = 'calendar/templates/'.$_SESSION['phpgw_info']['calendar']['user']['preferences']['common']['template_set'];
-								if (!file_exists($GLOBALS['phpgw_info']['server']['webserver_url'].$edit_js_path.'/js/edit.js'))
-									$edit_js_path = 'calendar';
-
 								$var['participants'] = array
 								(
 									'field'	=> '
-									<script src="'.$edit_js_path.'/js/edit.js" type="text/javascript"></script><div id=\'disponibility\' style=\'display:none;position:absolute\' bgcolor=\'#FFFFFF\'>
+									<script src="calendar/templates/'.$_SESSION['phpgw_info']['calendar']['user']['preferences']['common']['template_set'].'/js/edit.js" type="text/javascript"></script><div id=\'disponibility\' style=\'display:none;position:absolute\' bgcolor=\'#FFFFFF\'>
 	<iframe src=\'#\' id=\'frame_disponibility\' width=\'500\' marginHeight=\'0\' marginWidth=\'0\' height=\'200px\'></iframe>
-</div>
+									</div>
 									'.lang('Participants'),
-									'data'	=> '
-											<input type="hidden" id="txt_loading" value="'.lang("Loading").'">' .
+									'data'	=> 
+									        '<input type="hidden" id="txt_loading" value="'.lang("Loading").'">' . 
 											'<input type="hidden" id="txt_searching" value="'.lang("Searching").'">' .
 											'<input type="hidden" id="txt_users" value="'.lang("Users").'">' .							
 											'<input type="hidden" id="txt_groups" value="'.lang("Groups").'">' .
+                                                                                        '<input type="hidden" id="txt_shared_accounts" value="'.lang("shared accounts").'">' .
+											'<input type="hidden" id="txt_min_search" value="'.lang("Your search argument must be longer than 4 characters.").'">' .
+											'<input type="hidden" id="txt_none_result" value="'.lang("None result was found.").'">' .
+											'<input type="hidden" id="txt_Select_a_name" value="'.lang("Select a name").'">' .
+                                                                                        '<input type="hidden" id="txt_Close" value="'.lang("Close").'">' .
+											'<input type="hidden" id="txt_More_than_%1_results._Please,_try_to_refine_your_search" value="'.lang("More than %1 results. Please, try to refine your search",'%1').'">' .
+                                                                                        '<input type="hidden" id="txt_The_results_were_found_in_the_Global_Catalog" value="'.lang("The results were found in the Global Catalog").'">' . 
 											'<table width="100%" border="0">'.
 											'<tr>'.
-											'<td width="25%"><br><br>'.
+											'<td width="25%"><br>'.	
+											'<button type="button" onClick="javascript:add_user();"><img src="calendar/templates/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set'].'/images/add.png" style="vertical-align: middle;" >&nbsp;'.lang("Add").'</button>'.
+											'&nbsp;&nbsp;<button type="button" onClick="javascript:remove_user();"><img src="calendar/templates/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set'].'/images/rem.png" style="vertical-align: middle;" >&nbsp;'.lang("Remove").'</button>'.
 											'<br><br>&nbsp;&nbsp;<b>'.lang("Event's participants").'</b><br>'.
 											'	<select id="user_list" name="participants[]" style="width: 300px" multiple size="13">'.$str.'</select>'.
@@ -6033,28 +5362,24 @@
 											'<td valign="bottom">'.
 											'	'.lang("Organization").': '.
-											'	<select name="org_context" id="combo_org" onchange="javascript:get_available_users(\''.$module_name.'\',this.value,\''.($recursive ? "" : "search").'\',\''.$GLOBALS['phpgw_info']['server']['auto_search'].'\');">'.$combo_org.'</select>'.
+											'	<select name="org_context" id="combo_org">'.$combo_org.'</select>'.
 											'	<br>'.
 											'	<font color="red"><span id="cal_span_searching">&nbsp;</span></font>'.									
 											'	<br>'.lang("Search for").':'.
-											'	<input value="" id="cal_input_searchUser" size="35" autocomplete="off" onkeyup="javascript:optionFinderTimeout(this,'.$GLOBALS['phpgw_info']['server']['min_num_characters'].',\''.($recursive ? "" : "search").'\',\''.$GLOBALS['phpgw_info']['server']['auto_search'].'\')"><br>'.
+											'	<input value="" id="cal_input_searchUser" size="35" autocomplete="off" onkeypress="return optionFinderTimeout(this,'.$GLOBALS['phpgw_info']['server']['min_num_characters'].',\''.($recursive ? "" : "search").'\',\''.$GLOBALS['phpgw_info']['server']['auto_search'].'\', event);"><br>'.
 											'	<b>'.lang("Available users and groups").'</b><br>'.
 											'	<select id="user_list_in" style="width: 300px" multiple size="13"></select>'.
 											'</td>'.
 											'</tr>'.
-                                            '<tr>'.
-                                            '<td width="25%">'.
-                                            '<button type="button" id="time_map" onClick="javascript:show_disponibility();">'.lang("Disponibility map").'</button>'.
-                                            '</td>'.
-                                            '<td width="30px" valign="middle" align="center">&nbsp;'.
-											'</td>'.
-                                            '<td valign="bottom">'.
-                                            '<button type="button" onClick="javascript:add_user();"><img src="calendar/templates/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set'].'/images/add.png" style="vertical-align: middle;" >&nbsp;'.lang("Add").'</button>'.
-											'&nbsp;&nbsp;<button type="button" onClick="javascript:remove_user();"><img src="calendar/templates/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set'].'/images/rem.png" style="vertical-align: middle;" >&nbsp;'.lang("Remove").'</button>'.
-                                            '</td>'.
-											'</tr>'.
+											'<tr>' .
+											'<td>' .
+											'<button onclick="javascript:show_disponibility();" id="time_map" type="button">Mapa de disponibilidade</button><br>' .
+											'<b>'.lang("Can have users and groups that doesn't appears on the map").'</b><br>' .
+											'<td>' .
+											'</tr>' .
 											'</table>'. 
 											'<script type="text/javascript" src="phpgwapi/js/wz_dragdrop/wz_dragdrop.js"></script>'.
 											'<script type="text/javascript" src="phpgwapi/js/dJSWin/dJSWin.js"></script>'.		
-											"<script src='calendar/js/edit_exmail.js' type='text/javascript'></script>" .
+											"<script src='calendar/templates/".$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']."/js/finder.js' type='text/javascript'></script>" .
+											"<script src='calendar/templates/".$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']."/js/edit_exmail.js' type='text/javascript'></script>" .
 											$load_lang_vars.																			
 											"<script src='".$module_name."/js/connector.js' type='text/javascript'></script>".
@@ -6067,5 +5392,5 @@
 						}						
 						
-						$var['participants']['data'] .= '<br /><a id="a_ext_participants" title="'.lang("It types below the email addresses, if you want to invite other people out" .
+						$var['participants']['data'] .= '<a id="a_ext_participants" title="'.lang("It types below the email addresses, if you want to invite other people out" .
 							" of this system").'" name="a_ext_participants" onClick="javascript:showExParticipants(this,\''.$module_name.'\')" href="#a_ext_participants"><b>'.lang("Inform").' '.lang("external participants").'</b>&nbsp;<img align="top" ' .
 							'src="calendar/templates/'.$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set'].'/images/sent.gif"></a><table id="tbl_ext_participants" width="100%" border="0" style="display:none">'.
@@ -6079,6 +5404,7 @@
 							'<td>'.	
 							'&nbsp;&nbsp;>> '.lang("It types below the email addresses, if you want to invite other people out of this system").':'.
-							'&nbsp;&nbsp;<br><textarea name="ex_participants" id="ex_participants" cols="70" rows="2">'.$event['ex_participants'].'</textarea><br>&nbsp;&nbsp;'.
-							//$footer_ext_participantes.
+							'&nbsp;&nbsp;<br> <input type="hidden" name="h_exParticipants" id="h_exParticipants" value="'.$exParticipants->getParticipantsSerializable().'" />
+                                                        <textarea name="ex_participants" id="ex_participants" cols="70" rows="2">'.$event['ex_participants'].'</textarea><br>&nbsp;&nbsp;'.
+							$footer_ext_participantes.
 							'</tr>'.							
 							'</table>';
@@ -6100,5 +5426,5 @@
 			}
 
-                        // Reminder
+// Reminder
 			// The user must use "Alarm Management" to change/modify an alarm
 			// so only display the email reminder fields if this is a new event
@@ -6182,24 +5508,4 @@
 				'data'	=> '<select name="cal[recur_type]">'."\n".$str.'</select>'."\n"
 			);
-
-
-                        $preferences = CreateObject('phpgwapi.preferences',(int)$this->owner);
-                       $selected_creator = $selected_owner = '';
-                       if($event['notifications_owner'] == 1)
-                           $selected_owner = ' selected';
-                       else
-                           $selected_creator = ' selected';
-                      
-                       $option = '<option value="0" '.$selected_creator.' >'.$GLOBALS['phpgw']->common->grab_owner_name((int)$_SESSION['phpgw_session']['account_id']).'</option>';
-                       if($_SESSION['phpgw_session']['account_id'] != $event['owner']){
-                           $option .= '<option value="1" '.$selected_owner.' >'.$GLOBALS['phpgw']->common->grab_owner_name((int)$event['owner']).'</option>';
-                       }
-
-
-                       $var['notifications_owner'] = Array(
-				'field'	=> lang('Send notificatios as'),
-				'data'	=> '<select name="cal[notifications_owner]" >'.$option.'</select>'
-			);
-
 
 			if($event['recur_enddate']['year'] != 0 && $event['recur_enddate']['month'] != 0 && $event['recur_enddate']['mday'] != 0)
@@ -6243,21 +5549,4 @@
 			);
 //			$this->output_template_array($p,'row','list',Array('data' => '<script src="simple_show_hide.js" type="text/javascript"></script>'));
-
-// Observations
-			$var['observations'] = Array(
-				'field'	=> lang('Observations'),
-				'data'	=> '<textarea name="cal[observations]" rows="5" cols="88" wrap="virtual" maxlength="2048">'.$event['observations'].'</textarea>'
-			);
-
-                        if ($event['attachment'] == '' || $event['attachment'] == 'ERROR' || is_array($event['attachment']))
-                            $data =  '<a onClick="javascript:addAttach()" href="#divFiles" >Anexos: adicionar+</a><div id="divFiles"></div>';
-                        else
-                            $data = '<input type="hidden" name="cal[attachment]" value='.$event["attachment"].'>'.lang('Notification with attachments sent.').'<br><a onClick="javascript:addAttach()" href="#divFiles" >Anexos: adicionar+</a><div id="divFiles"</div>';
-
-                        $var['attachment'] = Array(
-                                'field' => lang('Attachment'),
-                                //'data' => '<input  type="file" name="cal[attachment]" />'
-                                'data' => $data
-                        );
 
 			if (!isset($this->fields))
Index: trunk/calendar/inc/class.boholiday.inc.php
===================================================================
--- trunk/calendar/inc/class.boholiday.inc.php	(revision 3914)
+++ trunk/calendar/inc/class.boholiday.inc.php	(revision 5132)
@@ -256,12 +256,5 @@
 				}
 //				echo 'Loading from: '.$load_from.'/holidays.'.strtoupper($locale).'.csv'."<br>\n";
-                                if(isset($GLOBALS['phpgw_info']['server']['holidays_url_path']) && $GLOBALS['phpgw_info']['server']['holidays_url_path'] != 'localhost')
-                                {
                                     $lines = $network->gethttpsocketfile($load_from.'/holidays.'.strtoupper($locale).'.csv');
-                                }
-                                else
-                                {
-                                    $lines = explode(chr(0x0A),file_get_contents($load_from.'/holidays.'.strtoupper($locale).'.csv'));
-                                }
 				if (!$lines)
 				{
@@ -296,7 +289,7 @@
 		function add()
 		{
-			if(@$_POST['submit'])
-			{
 				$holiday = $_POST['holiday'];
+
+
 
 				if(empty($holiday['mday']))
@@ -349,5 +342,4 @@
 				}
 			}
-		}
 
 		function sort_holidays_by_date($holidays)
Index: trunk/calendar/inc/class.socalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.socalendar.inc.php	(revision 4316)
+++ trunk/calendar/inc/class.socalendar.inc.php	(revision 5132)
@@ -193,5 +193,8 @@
 		function find_uid($uid)
 		{
-			$sql = " AND (phpgw_cal.uid = '".$uid."') ";
+			$uid_ = substr($uid, strpos($uid,"-")+1);				
+			$uid_ = substr($uid_, 0, strpos($uid_,"-"));				
+			
+			$sql = " AND (phpgw_cal.cal_id = '". (int)$uid_."') ";
 
 			$found = $this->cal->get_event_ids(False,$sql);
@@ -210,7 +213,68 @@
 		}
 
-		function add_entry(&$event)
-		{
-			return $this->cal->save_event($event);
+		
+		/*
+		 * @abstract: Retorna o email do organizer do evento. 
+		 */
+		function get_mail_organizer($cal_id)
+		{
+			$sql = 'SELECT organizer FROM phpgw_cal WHERE cal_id =' . $cal_id;	
+			$this->cal->stream->query($sql,__LINE__,__FILE__);
+			
+			while($this->cal->stream->next_record())
+			{
+				$ret[0] = $this->cal->stream->f('organizer');
+			}
+			
+			$return = $ret[0];
+			$pos = strpos($return, "<");
+			$return = substr($return, $pos);
+			$return = str_replace('"','',$return);
+			$return = str_replace('>','',$return);
+			$return = str_replace('<','',$return);
+			
+			return $return;
+		}
+		
+		
+		/*
+		 * @abstract: Retorna os emails dos participantes do evento.
+		 */
+		function get_mail_participants($cal_id)
+		{
+		
+		}
+		
+		
+		/*
+		 * @abstract: busca no banco pra verificar se já existe um compromisso com o mesmo cal_id
+		 */
+		function find_cal_id($cal_id)
+		{
+
+                        $uid_ = substr($cal_id, strpos($cal_id,"-")+1);
+                        $uid_ = substr($uid_, 0, strpos($uid_,"-"));
+
+                        $sql = " AND phpgw_cal.cal_id = '". (int)$uid_."' OR phpgw_cal.uid = '". $cal_id."' ";
+
+			$found = $this->cal->get_event_ids(False,$sql);
+			if(!$found)
+			{
+				$found = $this->cal->get_event_ids(True,$sql);
+			}
+			if(is_array($found))
+			{
+				return $found[0]; 
+			}
+			else
+			{
+				return False;
+			}
+		}
+		
+
+		function add_entry(&$event , $sendMail = true, $importAccount = false)
+		{
+			return $this->cal->save_event($event,$sendMail,$importAccount);
 		}
 
@@ -269,7 +333,8 @@
 		}
 
-		function set_status($id,$status)
-		{
-			$this->cal->set_status($id,$this->owner,$status);
+		function set_status($id,$status,$user = false)
+		{
+                    if($user) $this->cal->set_status($id,$user,$status);
+                    else $this->cal->set_status($id,$this->owner,$status);
 		}
 
@@ -369,20 +434,4 @@
 			$this->cal->set_description($description);
 		}
-
-		function set_observations($observations='')
-		{
-		    $this->cal->set_observations($observations);
-		}
-
-                function set_attachment($attachment='')
-		{
-			$this->cal->set_attachment($attachment);
-		}
-
-		function set_notifications_owner($notifications_owner='') 
-		{ 
- 	        $this->cal->set_notifications_owner($notifications_owner); 
- 	    }
-		
 		function set_ex_participants($ex_participants='')
 		{
Index: trunk/calendar/inc/hook_settings.inc.php
===================================================================
--- trunk/calendar/inc/hook_settings.inc.php	(revision 4565)
+++ trunk/calendar/inc/hook_settings.inc.php	(revision 5132)
@@ -125,6 +125,11 @@
 		'This defines the end of your dayview. Events after this time, are shown below the dayview.');
 	$intervals = array(
-		84	=> '15 ' . lang('minutes'),
-		42	=> '30 ' . lang('minutes')
+		5	=> '5',
+		10	=> '10',
+		15	=> '15',
+		20	=> '20',
+		30	=> '30',
+		45	=> '45',
+		60	=> '60'
 	);
 	create_select_box('Intervals in day view','interval',$intervals,
@@ -189,12 +194,2 @@
 	create_check_box('Leave my calendar public','public_view',
 		'This option allow everybody to view your calendar in readmode.');
-	create_select_box('Default view of your calendar','title_view',array(
-			'0' => lang('Title and Description'),
-			'1' => lang('Only Title')
-		),'This option enable or disable the meeting description view your calendar in readmode.');
-	create_select_box('Choose fields to print','fields_to_print',array(
-			'0' => lang('Only Title'),
-			'1' => lang('Title and Description'),
-			'2' => lang('Title, description and observations')
-		),'This option enables the choice of fields to print.');
-	
